import { Command } from '@oclif/core';
export declare class SwaggerUI extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        bundle: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
        proxy: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        root: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
        header: import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
        expand: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
        operationids: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        filter: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        deeplinks: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        withcredentials: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        requestduration: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        strip: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
        inject: import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
        server: import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
        port: import("@oclif/core/lib/interfaces").OptionFlag<number, import("@oclif/core/lib/interfaces").CustomOptions>;
        logger: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
    };
    static args: {
        definition: import("@oclif/core/lib/interfaces").Arg<string, Record<string, unknown>>;
    };
    run(): Promise<void>;
}
