/// <reference types="node" />
/// <reference types="koa-bodyparser" />
import * as Koa from 'koa';
import { Server } from 'http';
interface CreateServerOpts {
    logger?: boolean;
}
export declare function createServer(opts?: CreateServerOpts): Koa<Koa.DefaultState, Koa.DefaultContext>;
interface StartServerOpts {
    app: Koa;
    port: number;
}
export declare function startServer(opts: StartServerOpts): Promise<{
    server: Server<typeof import("http").IncomingMessage, typeof import("http").ServerResponse>;
    port: number;
}>;
export {};
