import type { AxiosRequestConfig } from "axios";
export declare const TEST_CHECKS: readonly ["Success2XX"];
export type TestCheck = typeof TEST_CHECKS[number];
export interface TestConfig {
    [operationId: string]: {
        [testName: string]: {
            checks: TestCheck[];
            request: {
                params?: {
                    [key: string]: any;
                };
                data?: any;
                config?: AxiosRequestConfig;
            };
        };
    };
}
